MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024729Community[OCCT] OCCT:Codingpublic2014-03-15 10:062017-09-29 16:29
Reportereryar 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSWindows 7OS Version64 bit
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0024729: Duplicate code to compute the normals for TopoDS_Face
DescriptionThere are duplicate code to compute the normals for the TopoDS_Face:
1. void StdPrs_ToolShadedShape::Normal (const TopoDS_Face& theFace,
                                     Poly_Connect& thePolyConnect,
                                     TColgp_Array1OfDir& theNormals)

2. In StlTransfer.cxx, also have the function to compute normals for surface:
   static void Normal(const TopoDS_Face& aFace,
           Poly_Connect& pc,
           TColgp_Array1OfDir& Nor)
   Though the normals are calcuted for the TopoDS_Face, but when output them to STL file, do not use these normals. The normals in STL file are normal of the triangle, not the vertex. So the function Normal() in StlTransfer.cxx can be removed.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0028840closedbugmaster Open CASCADE Data Exchange - rewrite the STL Reader/Writer 

-  Notes
(0068139)
kgv (developer)
2017-07-10 10:27

StlTransfer (2) should be removed in scope of 0028840
(0069191)
kgv (developer)
2017-08-08 08:46

Dear bugmaster,

the issue has been fixed in scope of 0028840, this bug can be switched into VERIFIED state.

- Issue History
Date Modified Username Field Change
2014-03-15 10:06 eryar New Issue
2014-03-15 10:06 eryar Assigned To => kgv
2014-09-12 14:44 abv Target Version => 7.1.0
2015-01-19 17:46 kgv Assigned To kgv => oan
2015-01-19 17:46 kgv Status new => assigned
2016-11-01 06:41 abv Target Version 7.1.0 => 7.2.0
2017-07-10 10:25 kgv Relationship added related to 0028840
2017-07-10 10:26 kgv Description Updated View Revisions
2017-07-10 10:27 kgv Note Added: 0068139
2017-07-27 11:17 abv Target Version 7.2.0 => 7.4.0*
2017-08-08 08:46 kgv Note Added: 0069191
2017-08-08 08:46 kgv Assigned To oan => bugmaster
2017-08-08 08:46 kgv Status assigned => feedback
2017-08-08 08:46 kgv Target Version 7.4.0* => 7.2.0
2017-08-08 08:46 kgv Description Updated View Revisions
2017-08-08 08:46 kgv Steps to Reproduce Updated View Revisions
2017-08-08 09:55 bugmaster Status feedback => tested
2017-08-08 09:55 bugmaster Status tested => verified
2017-08-08 09:55 bugmaster Resolution open => fixed
2017-08-18 13:10 bugmaster Test case number => Not required
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker